#if !defined(AFX_EXTTABMODELMANAGER_H__955604C6_297A_414D_8A20_86A380FE10A2__INCLUDED_)
#define AFX_EXTTABMODELMANAGER_H__955604C6_297A_414D_8A20_86A380FE10A2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExtTabModelManager.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExtTabModelManager window
#include "ExtTabModel.h"

class CExtTabModelManager : public CFOTabModelManager
{
protected:
	DECLARE_SERIAL(CExtTabModelManager);
public:

	CExtTabModelManager();
	virtual ~CExtTabModelManager();

public:
	// Insert a new tab.
	// szLabel -- label of tab sheet.
	virtual CFOTabPageModel* InsertTab(CString szLabel = _T(""));

	// Insert a new tab.
	// pModel -- a pointer to a new tab page model.
	virtual CFOTabPageModel* InsertTab(CFOTabPageModel*pModel);

	// set modified flag.
	virtual void		SetModifiedFlag(BOOL bModified = TRUE);

	// Is Modified.
	virtual BOOL		IsModified();

	virtual void Serialize(CArchive &ar);
	virtual BOOL SaveDocument(LPCTSTR lpszPathName);
	virtual BOOL OpenDocument(LPCTSTR lpszPathName);
	CFile *GetFile(LPCTSTR lpszFileName, UINT nOpenFlags,CFileException* pError);
	virtual void ReleaseFile(CFile* pFile, BOOL bAbort);
// Implementation
public:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTTABMODELMANAGER_H__955604C6_297A_414D_8A20_86A380FE10A2__INCLUDED_)
